; Battery Max
; by Randy Gluvna
; gluvna@home.com
; http://members.home.com/gluvna

#INCLUDE "TI82.H"

.ORG START_ADDR

.DB "Battery Max",0

        ROM_CALL(CLEARLCD)              
        LD HL,$0000                     
        LD (CURSOR_ROW),HL
        LD HL,STRING_TITLE
        SET 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,STRING_AUTHOR
        RES 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,$0005
        LD (CURSOR_ROW),HL
        LD HL,STRING_PRESS_ENTER
        ROM_CALL(D_ZT_STR)
LOOP:
        CALL GET_KEY
        CP 55
        RET Z
        CP 9
        JR NZ,LOOP
        LD HL,CONTRAST
        LD (HL),$21
        LD A,$FF
        CALL DISP_DELAY
        OUT ($10),A
        RET

STRING_TITLE:
        .DB "  Battery  Max  ",0
STRING_AUTHOR:
        .DB "by: Randy Gluvna",0
STRING_PRESS_ENTER:
        .DB "Press enter to  "
        .DB "activate.",0

.END
           
